commit: 77a972dfb3f767a193cb590d612a6ca5ebefd7c9
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun May 29 19:08:55 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun May 29 19:15:50 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77a972df
dev-python/mimerender: EAPI=8, Use PEP517
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/mimerender/mimerender-0.6.0-r1.ebuild | 29 ++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/dev-python/mimerender/mimerender-0.6.0-r1.ebuild
b/dev-python/mimerender/mimerender-0.6.0-r1.ebuild
new file mode 100644
index 000000000000..e5ec7f9a9d78
--- /dev/null
+++ b/dev-python/mimerender/mimerender-0.6.0-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="RESTful HTTP Content Negotiation for Flask, Bottle, web.py and
webapp2"
+HOMEPAGE="
+ https://pypi.org/project/mimerender/
+ https://github.com/martinblech/mimerender/"
+SRC_URI="
+ https://github.com/martinblech/mimerender/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="dev-python/python-mimeparse[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+python_test() {
+ "${EPYTHON}" src/test.py -v || die "Tests fail with ${EPYTHON}"
+}